%define tdbmajor 1

%define libtdb   %mklibname tdb %{tdbmajor}
%define tdbdevel %mklibname tdb -d

Name:          tdb
Version:       3.6.2
Release:       %mkrel 1
Group:         System/Libraries
License:       GPLv2
URL:           https://tdb.samba.org/
Summary:       Library implementing Samba's embedded database
Source:        https://www.samba.org/ftp/tdb/tdb-1.4.7.tar.xz
BuildRequires: xsltproc
BuildRequires: docbook-style-xsl
BuildRequires: pkgconfig(python3)

%description
Library implementing Samba's embedded database and utilities for backing up,
restoring and manipulating the database.

%package -n %{libtdb}
Group:         System/Libraries
Summary:       Library implementing Samba's embedded database

%description -n %{libtdb}
Library implementing Samba's embedded database.

%package -n tdb-utils
Group:         Databases
Summary:       Tools for backing up, restoring, and manipulating Samba's embedded database

%description -n tdb-utils
Tools for backing up, restoring, and manipulating Samba's embedded database.

%package -n %{tdbdevel}
Group:         Development/Libraries
Summary:       Library implementing Samba's embedded database
Provides:      tdb-devel = %{version}-%{release}
Requires:      %{libtdb} = %{version}-%{release}

%description -n %{tdbdevel}
Library implementing Samba's embedded database.

%package -n python3-tdb
Group:         Development/Python
Summary: Python3 bindings for the Tdb library
%{?python_provide:%python_provide python3-tdb}

%description -n python3-tdb
Python3 bindings for libtdb

%prep
%setup -qn tdb-1.4.7
%apply_patches

# replace removed time.clock()
sed -i -e "s,time\.clock(),time.perf_counter(),g" buildtools/wafsamba/samba_deps.py

# fix for python3.8
sed -i -e "/all_flags/s,\('--libs'\),\1\, '--embed'," third_party/waf/waflib/Tools/python.py

%build
%configure2_5x \
           --bundled-libraries=NONE \
           --builtin-libraries=replace
%make_build

%install
%make_install

%files -n %{libtdb}
%{_libdir}/libtdb.so.%{tdbmajor}*

%files -n %{tdbdevel}
%{_libdir}/libtdb.so
%{_includedir}/tdb.h
%{_libdir}/pkgconfig/tdb.pc

%files -n tdb-utils
%{_bindir}/tdb*
%{_mandir}/man8/tdb*.8*

%files -n python3-tdb
%{python3_sitearch}/tdb.cpython*.so
%{python3_sitearch}/_tdb_text.py


%changelog
* Mon Aug 15 2022 tex - 3.6.2-1pclos2022
- new verion 1.4.7 but bane 3.6.2 for easy upgrade
- and to avoid epoch
